<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:padding="20dp">

    <TextView
        android:id="@+id/closeDialogView"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:drawableEnd="@drawable/ic_close"
        android:text="取消告警"
        android:textSize="@dimen/titleFontSize" />

    <RelativeLayout
        style="@style/itemLayoutStyle"
        android:layout_marginTop="30dp"
        android:padding="0dp">

        <TextView
            android:id="@+id/t"
            style="@style/tagTextViewStyle"
            android:text="原因" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/margin_10dp"
            android:layout_toEndOf="@id/t"
            android:background="@drawable/bg_layout"
            android:paddingVertical="7dp">

            <Spinner
                android:id="@+id/selectReasonView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />
        </LinearLayout>
    </RelativeLayout>

    <RelativeLayout
        style="@style/itemLayoutStyle"
        android:layout_marginTop="@dimen/margin_10dp"
        android:padding="0dp">

        <TextView
            android:id="@+id/tt"
            style="@style/tagTextViewStyle"
            android:text="备注" />

        <EditText
            android:id="@+id/cancelReasonView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/margin_10dp"
            android:layout_toEndOf="@id/tt"
            android:background="@drawable/bg_editor"
            android:gravity="top"
            android:hint="请输入告警取消的详细原因"
            android:paddingHorizontal="5dp"
            android:paddingVertical="7dp"
            android:textSize="@dimen/textFontSize" />
    </RelativeLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="30dp">

        <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
            android:id="@+id/dialogCancelButton"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="30dp"
            android:layout_toStartOf="@id/dialogConfirmButton"
            android:gravity="center"
            android:paddingHorizontal="@dimen/padding_10dp"
            android:paddingVertical="5dp"
            android:text="取消"
            android:textColor="@color/white"
            app:qmui_backgroundColor="@color/darkGray"
            app:qmui_borderColor="@color/darkGray"
            app:qmui_radius="5dp" />

        <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
            android:id="@+id/dialogConfirmButton"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:gravity="center"
            android:paddingHorizontal="@dimen/padding_10dp"
            android:paddingVertical="5dp"
            android:text="确定"
            android:textColor="@color/white"
            app:qmui_backgroundColor="@color/mainThemeColor"
            app:qmui_borderColor="@color/mainThemeColor"
            app:qmui_radius="5dp" />
    </RelativeLayout>
</LinearLayout>